local grafana = import 'grafonnet/grafana.libsonnet';
local dashboard = grafana.dashboard;
local target_common = import 'targets_common.jsonnet';
local row = grafana.row;
local template = grafana.template;
local gaugePanel = grafana.gaugePanel;
local bargaugePanel = grafana.bargaugePanel;
local singlestat = grafana.singlestat;
local prometheus = grafana.prometheus;
 
 grafana.dashboard.new(
     title='MySQL-reusabilityy-test',
     uid='55555',
     editable=true,
     # Display metrics over the last 30 minutes
     time_from='now-30m',
     
 ).addPanel(
     grafana.barGaugePanel.new(
         title='promhttp_metric_handler_requests',
         # Direct queries to the `Prometheus` data source
         datasource='Prometheus',
         #unit='number',     
     ).addTarget(
         grafana.prometheus.target(
             expr='promhttp_metric_handler_requests_total{}',
             legendFormat='{{code}}',
         )
     ),
     gridPos = { h: 8, w: 8, x: 0, y: 0 }
 ).addTemplate(target_common.prometheusDs)
 .addTemplate(target_common.applicationTemplate)
 .addTemplate(target_common.instanceTemplate)
 .addTemplate(target_common.testTemplate)
 .addTemplate(target_common.testTemplate1)