#!/bin/bash

ALERTS_JSONNET_PATH=alerts
ALERTS_BUILD_PATH=build/alerts
ALERTS_TAR_NAME=alerts


CURRENT_DIR=$PWD

mkdir -p ${ALERTS_BUILD_PATH}

echo "Cleaning up previous builds"
rm -rf ${ALERTS_BUILD_PATH}/*.json


LAST_COMMIT_FILES=$(git diff --name-only HEAD^ HEAD ${ALERTS_JSONNET_PATH} | xargs -I{} basename {} )
echo "last commit files $LAST_COMMIT_FILES"

for json_file in ${LAST_COMMIT_FILES[@]};
    do
      echo "$json_file"
      filename=$(basename -- "${json_file}")
      filename="${filename%.*}"
      JSONNET_PATH=../grafonnet-lib \
      jsonnet ${ALERTS_JSONNET_PATH}/${json_file} > ${ALERTS_BUILD_PATH}/${filename}.json
      echo "Created new json at ${ALERTS_BUILD_PATH}/${filename}.json"
    done

ls -larth ${ALERTS_BUILD_PATH}

cd ${CURRENT_DIR}