#!/bin/bash

DASHBOARDS_JSONNET_PATH=dashboards
DASHBOARDS_BUILD_PATH=build/dashboards
DASHBOARDS_TAR_NAME=dashboards


CURRENT_DIR=$PWD

mkdir -p ${DASHBOARDS_BUILD_PATH}

echo "Cleaning up previous builds"
rm -rf ${DASHBOARDS_BUILD_PATH}/*.json


LAST_COMMIT_FILES=$(git diff --name-only HEAD^ HEAD ${DASHBOARDS_JSONNET_PATH} | xargs -I{} basename {} )
echo "last commit files $LAST_COMMIT_FILES"

for json_file in ${LAST_COMMIT_FILES[@]};
    do
      echo "$json_file"
      filename=$(basename -- "${json_file}")
      filename="${filename%.*}"
      JSONNET_PATH=grafonnet-lib \
      jsonnet ${DASHBOARDS_JSONNET_PATH}/${json_file} > ${DASHBOARDS_BUILD_PATH}/${filename}.json
      echo "Created new json at ${DASHBOARDS_BUILD_PATH}/${filename}.json"
    done
ls -larth ${DASHBOARDS_BUILD_PATH}

cd ${CURRENT_DIR}