#!/bin/bash

DASHBOARD_DEPLOY_DIR=build/$CI_PIPELINE_ID/dashboards
DASHBOARD_TAR_NAME=dashboards
CURRENT_DIR=$PWD

mkdir -p ${CURRENT_DIR}/${DASHBOARD_DEPLOY_DIR}
cd ${CURRENT_DIR}/${DASHBOARD_DEPLOY_DIR}

echo "Cleaning up previous archives"
rm -rf ${CURRENT_DIR}/${DASHBOARD_DEPLOY_DIR}/*

echo "Downloading artifact from $ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${DASHBOARD_TAR_NAME}.tar.gz"
curl -O -u $ARTIFACTORY_USER:$ARTIFACTORY_PASS "$ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${DASHBOARD_TAR_NAME}.tar.gz"
ls -larth
pwd
mkdir -p ${DASHBOARD_TAR_NAME}
tar -xzvf ${DASHBOARD_TAR_NAME}.tar.gz -C ${CURRENT_DIR}/${DASHBOARD_DEPLOY_DIR}/${DASHBOARD_TAR_NAME}
cd ${DASHBOARD_TAR_NAME}

ls -larth

for FILE in *;
 do
  echo "$FILE \n";
  DASHBOARD="{\"dashboard\": $(jq . $FILE), \"overwrite\": true}"
  curl -X POST \
   -H "Authorization: Bearer $TOKEN" \
   -H "Content-Type: application/json" \
   -d "$DASHBOARD" \
   $GRAFANA_URL/api/dashboards/db
  echo "\n"
done

cd ${CURRENT_DIR}