#!/bin/bash

ALERTS_BUILD_PATH=build/alerts
ALERTS_TAR_NAME=alerts
ARCHIVE_PATH=build/archive

CURRENT_DIR=$PWD

mkdir -p ${CURRENT_DIR}/${ARCHIVE_PATH}

echo "Cleaning up previous archives"
rm -rf ${CURRENT_DIR}/${ARCHIVE_PATH}/${ALERTS_TAR_NAME}.tar.gz

cd ${ALERTS_BUILD_PATH}

count_file=`ls -1 *.json 2>/dev/null | wc -l`
echo "${count_file} json files found at `pwd`"

if [ $count_file != 0 ]
 then
    tar -cvzf ${CURRENT_DIR}/${ARCHIVE_PATH}/${ALERTS_TAR_NAME}.tar.gz *.json
    ls -larth ${CURRENT_DIR}/${ARCHIVE_PATH}
    echo "Uploading to $ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${ALERTS_TAR_NAME}.tar.gz"
    curl -u $ARTIFACTORY_USER:$ARTIFACTORY_PASS -T ${CURRENT_DIR}/${ARCHIVE_PATH}/${ALERTS_TAR_NAME}.tar.gz "$ARTIFACTORY_URL/grafonet/$CI_PIPELINE_ID/${ALERTS_TAR_NAME}.tar.gz"
    echo "Artifact Uploaded Successfully"
else
    echo  "ERROR: No json files found at ${ALERTS_BUILD_PATH}. Build process Failed"
    ls -larth ${ALERTS_BUILD_PATH}
    exit 1
fi

cd ${CURRENT_DIR}